> For the complete documentation index, see [llms.txt](https://docs.factpro.la/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.factpro.la/api-consulta-ruc-y-dni/busqueda-anexos-ruc.md).

# Búsqueda Anexos - RUC

**Método** <mark style="background-color:green;">GET</mark>

**URL:** <https://consultas.factpro.la/api/v1/ruc/anexos/{numero-ruc}>

(Obtener datos los anexos/establecimientos por RUC).

**Header**

<table><thead><tr><th width="403">Name</th><th>Value</th></tr></thead><tbody><tr><td>Authorization</td><td>Bearer {token_empresa}</td></tr></tbody></table>

**Response**

```json
[
    {
        "ruc": "20337564373",
        "direccion": "AV. MRCAL. OSCAR. R BENAVIDES NRO. 3866 URB. EL AGUILA",
        "direccion_completa": "AV. MRCAL. OSCAR. R BENAVIDES NRO. 3866 URB. EL AGUILA CALLAO CALLAO BELLAVISTA",
        "ubigeo": "070102",
        "departamento": "CALLAO",
        "provincia": "CALLAO",
        "distrito": "BELLAVISTA",
        "tipo_via": "AV.",
        "nombre_via": "MRCAL. OSCAR. R BENAVIDES",
        "codigo_zona": "URB.",
        "tipo_zona": "EL AGUILA",
        "numero": "3866",
        "interior": "",
        "lote": "",
        "dpto": "",
        "manzana": "",
        "kilometro": ""
    },
    {
        "ruc": "20337564373",
        "direccion": "AV. EL SOL NRO. 2241 ---- ASOCIACIÓN AGROPECUARIA V",
        "direccion_completa": "AV. EL SOL NRO. 2241 ---- ASOCIACIÓN AGROPECUARIA V LIMA LIMA VILLA EL SALVADOR",
        "ubigeo": "150142",
        "departamento": "LIMA",
        "provincia": "LIMA",
        "distrito": "VILLA EL SALVADOR",
        "tipo_via": "AV.",
        "nombre_via": "EL SOL",
        "codigo_zona": "----",
        "tipo_zona": "ASOCIACIÓN AGROPECUARIA V",
        "numero": "2241",
        "interior": "",
        "lote": "",
        "dpto": "",
        "manzana": "",
        "kilometro": ""
    },
    {
        "ruc": "20337564373",
        "direccion": "AV. AUTOP.CTO GRANDRE-FLORES NRO. SN",
        "direccion_completa": "AV. AUTOP.CTO GRANDRE-FLORES NRO. SN LIMA LIMA SAN JUAN DE LURIGANCHO",
        "ubigeo": "150132",
        "departamento": "LIMA",
        "provincia": "LIMA",
        "distrito": "SAN JUAN DE LURIGANCHO",
        "tipo_via": "AV.",
        "nombre_via": "AUTOP.CTO GRANDRE-FLORES",
        "codigo_zona": "",
        "tipo_zona": "",
        "numero": "SN",
        "interior": "",
        "lote": "",
        "dpto": "",
        "manzana": "",
        "kilometro": ""
    },
    {
        "ruc": "20337564373",
        "direccion": "AV. GENERAL FELIPE SALAVERRY NRO. 2370 LOTE. 216",
        "direccion_completa": "AV. GENERAL FELIPE SALAVERRY NRO. 2370 LOTE. 216 LIMA LIMA JESUS MARIA",
        "ubigeo": "150113",
        "departamento": "LIMA",
        "provincia": "LIMA",
        "distrito": "JESUS MARIA",
        "tipo_via": "AV.",
        "nombre_via": "GENERAL FELIPE SALAVERRY",
        "codigo_zona": "",
        "tipo_zona": "",
        "numero": "2370",
        "interior": "",
        "lote": "216",
        "dpto": "",
        "manzana": "",
        "kilometro": ""
    },
]

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.factpro.la/api-consulta-ruc-y-dni/busqueda-anexos-ruc.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
